Create Bill Statement in CSV Format - m3ter Documentation
Create Bill Statement in CSV Format
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/bills/{id}/statement/csv \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/bills/{id}/statement/csv"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/bills/{id}/statement/csv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
200
Returns the download URL
{
"downloadUrl": "<string>"
}
4XX / 5XX
{
"message": "<string>"
}
Authorizations
Authorization: required string in header
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
Path Parameters
- orgId: string required - The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
- id: string required - The unique identifier (UUID) of the Bill for which you want to generate the Statement in CSV format.